Bug 1119146 - [JBossFuse]Should update "Categories" in jboss fuse/amq manifest.xml
Summary: [JBossFuse]Should update "Categories" in jboss fuse/amq manifest.xml
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kurt T Stam
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 06:54 UTC by xjia
Modified: 2017-05-31 18:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 18:22:11 UTC


Attachments (Terms of Use)

Description xjia 2014-07-14 06:54:36 UTC
Description of problem:
Visit http://<broker-address>/console/application_types, and see "JBoss Fuse 6.1.0 EA" and "JBoss AMQ 6.1.0 EA" are in "Other Types" table. They should have tag "jboss" "xpass" "java" "service" which are written in manifest.xml . And also should delete "experimental" tag in that file.

Version-Release number of selected component (if applicable):
fuse-openshift-cartridge-openshift-enterprise-rpm-6.1.0.redhat.385-2-fc18.noarch.rpm
2.1.z/2014-07-07.1

How reproducible:
always

Steps to Reproduce:
1. Check "Categories" in fuse and amp's manifest.xml

Actual results:
Categories:
  - web_framework
  - experimental

Expected results:
Categories:
  - web_framework
  - java
  - jboss
  - xpaas
  - service

Additional info:

Comment 3 xjia 2014-07-22 03:03:45 UTC
These changes has been merged in openshift-origin-cartridge-amq-6.1.0.redhat.387-1.el6op.noarch.rpm and openshift-origin-cartridge-fuse-6.1.0.redhat.387-1.el6op.noarch.rpm.
Could you move this bug "ON_QA"? Thanks

Comment 4 xjia 2014-07-28 11:45:31 UTC
Version:
openshift-origin-cartridge-amq-6.1.0.redhat.387-4.el6op.noarch.rpm
openshift-origin-cartridge-fuse-6.1.0.redhat.387-3.el6op.noarch.rpm

Verify:
[root@node1 ~]# cat /usr/libexec/openshift/cartridges/amq/metadata/manifest.yml | grep Categories -A 6
Categories:
  - web_framework
  - java
  - jboss
  - xpaas
  - service
Website:
[root@node1 ~]# cat /usr/libexec/openshift/cartridges/fuse/metadata/manifest.yml | grep Categories -A 6
Categories:
  - web_framework
  - java
  - jboss
  - xpaas
  - service
Website:

Comment 6 Eric Paris 2017-05-31 18:22:11 UTC
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.


Note You need to log in before you can comment on or make changes to this bug.